Subject: bug#56799: (gnu services configuration) usage of *unspecified* is problematic

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Wed, 27 Jul 2022 18:43:25 +0200

Hi Maxim,

Maxim Cournoyer 写道：
> I'd suggest we revisit 8cb1a49a3998c39f315a4199b7d4a121a6d66449 
> to use
> 'unspecified (the symbol) instead of *unspecified*, which *can* 
> be
> serialized without any fuss in gexps.

Bah.  Could we provide our own reader?

I'd much rather this be addressed in Guile (or failing that, 
transparently by Guix) than have to deal with some magical symbol. 
IIRC that was the argument for using *unspecified* in the first 
place, and I think it makes sense.

This looks more like an unexplored oversight than a well-reasoned 
restriction to me.

Kind regards,

T G-R